# This software is released under the Revised BSD License.
# See LICENSE for details
#
# Copyright (c) 2019, Ryan Chapin, https//:www.ryanchapin.com
# All rights reserved.

import sys
import logging
import signal
import time
from fabriform.lib.fabriform import Fabriform

# For the time-being, we are just logging to the console
logging.basicConfig(
    format="%(asctime)s,%(levelname)s,%(module)s,[%(threadName)s],%(message)s",
    level=logging.INFO,
    stream=sys.stdout,
)

logger = logging.getLogger(__name__)


def main():
    global fabriform
    fabriform = Fabriform(logger)


if __name__ == "__main__":
    main()
